# Frontier Airlines

- [Frontier Airlines (1950) Fleet History](https://www.youtube.com/watch?v=F0G9ykJgM6M)

I WILL PUBLICIZE YOUR LINK, Robert W Estey Sr was an employee of Frontier Airlines from the 60's to the 70's until the layoffs.  The Airline was superior to all other airlines in the industry and the Management failed their employees with the merger of Peoples Express.  They did not need to do this and we can continue with that discussion later.  Frontier Airlines made a comeback, however, the young will not realize how great the Airline was in the pass.  I will post a site to remember and eulogize the Airline as I have many memories of the greatest Airline ever.  The Christmas Party in 1966 when Santa Claus shows up with a REAL HELICOPTER outside the hanger.  They opened up the doors, a real helicopter, RUNNING, was at 200 feet descending down toward the hanger, Santa Clause comes out delivering.  That's the kind of stuff we did in the past.  OSHA would have a fit today.  FINALLY, when was a CHILD ever allowed to enter the COCKPIT IN FLIGHT.  Happened all the time in the 60's.  As a matter of fact, EVERYONE was invited.  Walk into the cabin and ask the pilot, how much longer and the Pilot would say, I can see the air field on the horizon, and say, do you see that area over there?  That's the field, we will be there in about 20 minutes, go back and tell the Crew and Passengers, we will be there in about 20 minutes.  SO FRICKING AWESOME, the younger generation, you missed GREAT AMERICAN HISTORY.  bobbycv64@yahoo.com 775.513.7587, call me anytime :-)  Bobby Estey

- [Departed Wings](http://departedwings.com/)

[Frontier Airlines 1964 Chairmen](robertEsteyChairman.jpg)

## Airplane Types I Flew in my Life

- [C47 Frontier Airlines - First Flights](frontierC47.jpg)
- [C580 Frontier Airlines - First TurboProp](frontierC580.jpg)
- [737-100 Frontier Airlines - First TurboJet](frontier737-100.jpg)
